$!============================================================
$! title  : rdb_demo1_create_db.com
$! author : Neil Rieck
$! created: 2004-09-11
$! NSR 051231 tweaked for public display
$!============================================================
$	env_verify = f$environment("verify_procedure")	! remember verify_state
$	set nover					! now force verify: OFF
$	say :== write sys$output			!
$	ask :== inquire/nopunct				!
$	bel[0,8]==7					!
$	on warn then goto warning_handler		! don't take any chances
$	set on						!
$	say ""						!
$	say "rdb_demo1_create_db.com"			!
$	say "======================="			!
$	temp = f$trnlnm("csmis$dat")			! does this logical exist?
$	if temp .eqs. ""				! nope
$	then						!
$		temp2 = f$environment("DEFAULT")	! get our current default directory
$		set ver					!
$		def/sys/log csmis$dat 'temp2'		! so we'll create the file in current directory
$		setnover				!
$	endif						!
$	temp = f$search("csmis$dat:rdb_demo1_db.rdb")	!
$	if temp .nes. "" 				!
$	then
$		say "-w- warning: database 'csmis$dat:rdb_demo1_db.rdb' already exists"
$		say "    and continuing will create a new database over the old one"
$		ask choice "Continue? (y/N) "		!
$		choice = f$extract(0,1,choice)		!
$		if choice .nes. "Y" then goto sortie1	! don't take any chances
$	endif
$	set ver						! watch the sql statements
$sql$					! this will only work after "@sys$library:RDBVMS_SETVER.COM reset"
!
!	WARNING: if the database already exists, this command will create another new one
!
create database filename csmis$dat:rdb_demo1_db.rdb
	number of users 500		! number of connections (e.g. 125 users x 4 connections each)
	number of cluster nodes 1;	! if not in an OpenVMS cluster then setting to 1 will improve performance
!
!	domains can be used to provide a uniform column definition between tables
!	eg. alter table customer add column tel3 standard_tel after column tel2;
!
create domain	standard_address	char(25);
create domain	standard_city		char(20);
create domain	standard_name		char(30);
create domain	standard_tel		char(10);
commit;
!
create table customer(
	name	char(30),
	address	char(25),
	city	char(20),
	tel1	char(10),
	tel2	char(10));
commit;
!
alter table customer add column postal char(6) after column city;
alter table customer add column province char(15) after column city;
commit;
!
insert into customer values(
	'Neil Rieck',
	'20 Water St N',
	'Kitchener',
	'Ontario',
	'N2H5A5',
	'5195551212',
	'');
insert into customer values(
	'Steve Kennel',
	'20 Water St N',
	'Kitchener',
	'Ontario',
	'N2H5A5',
	'5195551212',
	'');
insert into customer values(
	'Dave McNeil',
	'140 Bayfield St',
	'Barrie',
	'Ontario',
	'L4M3B1',
	'7055551212',
	'');
insert into customer(
	name,address,city,province,postal,tel1,tel2)
	values(
	'Karim Macklai',
	'220 Simcoe St',
	'Toronto',
	'Ontario',
	'M5T1T4',
	'4165551212',
	'');
commit;
!
exit					! exit from SQL$
$sortie1:				!
$	set nover			!
$ 	goto sortie2			!
$warning_handler:			!
$error_handler:				!
$	set noon			!
$	set nover			!
$	say "-e- did you execute the script '@sys$library:RDBVMS_SETVER.COM reset' ?"
$sortie2:				!
$	if env_verify .eqs. "TRUE" then set verify
$	exit				! adios
