!=================================================================================================
! Title  : Rdb_sqlda.bas (SQL Descriptor Area)
! Author : Neil Rieck	(http://www3.sympatico.ca/n.rieck)
! Created: 2004.09.09
! Notes  : see "Oracle Rdb ver 7.1.2 - SQL Reference Manual" - Volume 5 - Page D-2
!=================================================================================================
	!
	declare long constant k_max_SQLVAR% = 100
	!
	record SQLDA_REC
	    string SQLDAID = 8				! SQLDA ID: Set to "SQLDA   " before use.
	    long SQLDABC				! SQLDA Byte Count: not used
	    word SQLN					! SQL N: must be set to size of SQLVAR
	    word SQLD					! SQL D: set to number of fields returned by FETCH etc.
	    group SQLVAR(k_max_SQLVAR%)			! 
		word SQLTYPE				! data type
		word SQLLEN				! data length
		long SQLDATA				! address of data
		long SQLIND				! address of indicator
		group SQLNAME				!
		    word SQLNAME			!
		    string SQLNAMEC = 30		!
		end group SQLNAME			!
	    end group SQLVAR				!
	end record SQLDA_REC				!
	!
	declare SQLDA_REC	SQLDA	,		!				&
				SQLDA_out		!
	!
